<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Http\Resources\API\PermissionGroupResource;
use App\Models\PermissionGroup;

class PermissionController extends Controller
{
    public function groupPermissions()
    {
        $permissionGroups = PermissionGroup::query()
            ->with(['permissions' => function ($query)  {
                $query->where('guard_name', 'api');
            }])
            ->get()->filter(function($item)  {
                return count($item->permissions) > 0;
            });

        return PermissionGroupResource::collection($permissionGroups);
    }
}
