<?php

namespace App\Http\Resources\API;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class PlanResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'asset_id' => $this->asset_id,
            'parent_id' => $this->parent_id,
            'requirement_total' => $this->requirements()->count(),
            'project_total' => $this->projects()->count(),
            'begin' => $this->begin,
            'end' => $this->end,
            'description' => $this->description,
        ];
    }
}
