<?php

namespace App\Http\Resources\API;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class RequirementResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'title' => $this->title,
            'status' => $this->status,
            'asset_id' => $this->asset_id,
            'plan_id' => $this->plan_id,
            'requirement_group_id' => $this->requirement_group_id,
            'requirement_group' => new RequirementGroupResource($this->group),
            'asset' => new SimpleAssetResource($this->asset),
            'reviewed_by' => $this->reviewed_by,
            'priority' => $this->priority,
            'note' => $this->note,
            'description' => $this->description,
            'acceptance' => $this->acceptance,
            'mailto' => $this->mailto,
            'created_by' => new UserProfileResource($this->createdBy),
            'created_at' => (string)$this->created_at,
            'updated_at' => (string)$this->updated_at,
        ];
    }
}
