<?php

namespace App\ModelFilters;

use EloquentFilter\ModelFilter;
use Illuminate\Support\Facades\Auth;

class TaskFilter extends ModelFilter
{
    /**
    * Related Models that have ModelFilters as well as the method on the ModelFilter
    * As [relationMethod => [input_key1, input_key2]].
    *
    * @var array
    */
    public $relations = [];

    public function status(string $status): TaskFilter
    {
        return $this->where("status", $status);
    }

    public function my(string $my): TaskFilter
    {
        return $my == "yes" ? $this->where("assign", Auth::id()) : $this;
    }
}
