<?php

namespace App\Models;

use App\Models\Scopes\CompanyScope;
use EloquentFilter\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Plan extends Model
{
    use HasFactory, Filterable;

    protected $fillable = [
        'title',
        'asset_id',
        'parent_id',
        'begin',
        'end',
        'description',
    ];

    public $timestamps = false;

    protected static function booted()
    {
        parent::booted(); // TODO: Change the autogenerated stub

        static::addGlobalScope(new CompanyScope);
    }

    public function requirements()
    {
        return $this->hasMany(Requirement::class);
    }

    public function projects()
    {
        return $this->belongsToMany(Project::class, 'project_plan', 'plan_id', 'project_id');
    }
}
