<?php

namespace Database\Factories;

use App\Models\AssetGroup;
use App\Models\Enums\AssetStatus;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Facades\Auth;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Asset>
 */
class AssetFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'name' => fake()->name(),
            'code' => fake()->randomNumber(5),
            'description' => fake()->text(),
            'company_id' => Auth::user()->company_id,
            'status' => AssetStatus::CONCEPT->value,
            'created_by' => Auth::user()->id,
            'owner' => Auth::id(),
            'address' => fake()->address(),
            'group_id' => AssetGroup::factory()->create()?->id,
            'geo_address_code' => fake()->randomNumber(5),
            'acl' => 'custom',
            'whitelist' => ',1,',
            'latitude' => fake()->latitude(),
            'longitude' => fake()->longitude(),
        ];
    }
}
