<?php

namespace Database\Factories;

use App\Models\Enums\TaskACL;
use App\Models\Enums\TaskStatus;
use App\Models\Project;
use App\Models\Requirement;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Task>
 */
class TaskFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'project_id' => Project::factory()->create(),
            'requirement_id' => Requirement::factory()->create(),
            'naming_rule_id' => 0,
            'name' => fake()->title(),
            'status' => TaskStatus::WAIT->value,
            'parent_id' => 0,
            'description' => fake()->text(),
            'begin' => Carbon::now()->toDateString(),
            'end' => Carbon::now()->addMonth()->toDateString(),
            'email_subject' => fake()->title(),
            'acl' => TaskACL::PRIVATE->value,
            'whitelist' => ',1,',
            'created_by' => Auth::id(),
            'company_id' => Auth::user()->company_id,
            'mailto' => [
                Auth::id(),
            ],
        ];
    }
}
