<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn('avatar');
            $table->integer('gender')->nullable()->comment('男0，女1');
            $table->string('address',250)->nullable();
            $table->integer('department_id')->nullable()->comment('部门id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('avatar', 250)->nullable();
            $table->dropColumn(['gender', 'address', 'department_id']);
        });
    }
};
